<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "social".
 *
 * @property integer $social_id
 * @property string $social_name
 * @property integer $social_user_id
 * @property integer $user_id
 */
class Social extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'social';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['social_user_id', 'user_id'], 'integer'],
            [['social_name'], 'string', 'max' => 255]
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'social_id' => Yii::t('app', 'Social ID'),
            'social_name' => Yii::t('app', 'Social Name'),
            'social_user_id' => Yii::t('app', 'Social User ID'),
            'user_id' => Yii::t('app', 'User ID'),
        ];
    }
}
